%global srcname flake8-deprecated

Name:           python-%{srcname}
Version:        2.0.1
Release:        1%{?dist}
Summary:        Flake8 plugin that warns about deprecated method calls

License:        GPL-2.0-only
URL:            https://github.com/gforcada/%{srcname}
Source0:        https://github.com/gforcada/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
No language, library or framework ever get everything right from the very
beginning. The project evolves, new features are added/changed/removed.

This means that projects relying on them must keep an eye on what's currently
best practices.

This flake8 plugin helps you keeping up with method deprecations and giving
hints about what they should be replaced with.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel


%description -n python%{python3_pkgversion}-%{srcname}
No language, library or framework ever get everything right from the very
beginning. The project evolves, new features are added/changed/removed.

This means that projects relying on them must keep an eye on what's currently
best practices.

This flake8 plugin helps you keeping up with method deprecations and giving
hints about what they should be replaced with.


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flake8_deprecated


%check
%pytest run_tests.py


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc CHANGES.rst README.rst


%changelog
* Thu Nov 10 2022 Scott K Logan <logans@cottsay.net> - 2.0.1-1
- Initial package
